{
  "name": "frontend",
  "version": "1.0.0",
  "description": "skillbox vue client",
  "author": "ramon / chrigu",
  "private": true,
  "scripts": {
    "dev": "webpack-dev-server --inline --progress --config build/webpack.dev.conf.js",
    "start": ". ../server/.env && npm run dev",
    "lint": "eslint --ext .js,.vue src",
    "fix-lint": "eslint --ext .js,.vue --fix src",
    "build": "node build/build.js",
    "open:cypress:e2e": "npm run cypress:e2e:open",
    "open:cypress:frontend": "npm run cypress:frontend:open",
    "test:cypress:e2e": "npm run cypress:e2e:test",
    "test:cypress:frontend": "npm run cypress:frontend:test",
    "cypress:e2e:open": "cypress open --config-file cypress.e2e.json",
    "cypress:frontend:open": "cypress open --config-file cypress.frontend.json",
    "cypress:e2e:test": "cypress run --config-file cypress.e2e.json",
    "cypress:frontend:test": "cypress run --config-file cypress.frontend.json",
    "install:cypress": "cypress install",
    "test:unit": "jest"
  },
  "dependencies": {
    "@babel/core": "^7.5.4",
    "@babel/plugin-transform-runtime": "^7.5.0",
    "@babel/polyfill": "^7.4.4",
    "@babel/preset-env": "^7.5.4",
    "@babel/preset-stage-2": "^7.0.0",
    "@babel/runtime": "^7.5.4",
    "@iam4x/cypress-graphql-mock": "0.0.1",
    "apollo-cache-inmemory": "^1.6.5",
    "apollo-client": "^2.6.8",
    "apollo-link": "^1.2.13",
    "apollo-link-error": "^1.1.12",
    "apollo-link-http": "^1.5.16",
    "appolo": "^6.0.19",
    "autoprefixer": "^7.1.2",
    "babel-eslint": "^8.2.1",
    "babel-helper-vue-jsx-merge-props": "^2.0.3",
    "babel-loader": "^8.0.6",
    "babel-plugin-syntax-jsx": "^6.18.0",
    "babel-plugin-transform-vue-jsx": "^3.5.0",
    "chalk": "^2.0.1",
    "copy-webpack-plugin": "^4.0.1",
    "css-loader": "^0.28.0",
    "dayjs": "^1.10.4",
    "debounce": "^1.2.0",
    "eslint": "^4.15.0",
    "eslint-config-standard": "^10.2.1",
    "eslint-friendly-formatter": "^3.0.0",
    "eslint-loader": "^1.7.1",
    "eslint-plugin-cypress": "^2.11.2",
    "eslint-plugin-import": "^2.7.0",
    "eslint-plugin-node": "^5.2.0",
    "eslint-plugin-promise": "^3.4.0",
    "eslint-plugin-standard": "^3.0.1",
    "eslint-plugin-vue": "^4.0.0",
    "extract-text-webpack-plugin": "^3.0.0",
    "file-loader": "^1.1.4",
    "friendly-errors-webpack-plugin": "^1.6.1",
    "graphql": "^0.13.2",
    "graphql-tag": "^2.10.1",
    "html-webpack-plugin": "^2.30.1",
    "lodash": "^4.17.10",
    "moment": "^2.24.0",
    "node-notifier": "^5.1.2",
    "node-sass": "^4.13.1",
    "optimize-css-assets-webpack-plugin": "^3.2.0",
    "ora": "^1.2.0",
    "portfinder": "^1.0.13",
    "postcss-import": "^11.0.0",
    "postcss-loader": "^2.0.8",
    "postcss-url": "^7.2.1",
    "rimraf": "^2.6.0",
    "sass-loader": "^7.1.0",
    "semver": "^5.3.0",
    "shelljs": "^0.7.6",
    "survey-vue": "^1.8.41",
    "uglifyjs-webpack-plugin": "^1.1.1",
    "unfetch": "^3.1.1",
    "uploadcare-widget": "^3.6.0",
    "url-loader": "^1.0.1",
    "uuid": "^3.2.1",
    "vee-validate": "^2.2.0",
    "vue": "^2.5.17",
    "vue-analytics": "^5.16.2",
    "vue-apollo": "^3.0.0-beta.16",
    "vue-axios": "^2.1.1",
    "vue-loader": "^15.9.6",
    "vue-matomo": "^3.13.4-0",
    "vue-router": "^3.0.1",
    "vue-scrollto": "^2.11.0",
    "vue-style-loader": "^3.0.1",
    "vue-template-compiler": "^2.5.17",
    "vue-toast-notification": "^0.4.1",
    "vue-vimeo-player": "0.0.6",
    "vuejs-logger": "1.5.5",
    "vuetify": "^1.1.8",
    "vuex": "^3.0.1",
    "webpack": "^3.6.0",
    "webpack-bundle-analyzer": "^2.9.0",
    "webpack-dev-server": "^2.9.1",
    "webpack-merge": "^4.1.0",
    "whatwg-fetch": "^3.0.0"
  },
  "engines": {
    "node": ">= 6.0.0",
    "npm": ">= 3.0.0"
  },
  "browserslist": [
    "> 1%",
    "last 2 versions",
    "not ie <= 8"
  ],
  "devDependencies": {
    "@vue/test-utils": "^1.0.0-beta.29",
    "babel-bridge": "^1.12.11",
    "babel-core": "^7.0.0-bridge.0",
    "babel-jest": "^24.8.0",
    "canvas": "^2.5.0",
    "cypress": "^6.2.1",
    "graphql-config": "^3.2.0",
    "jest": "^24.8.0",
    "jest-serializer-vue": "^2.0.2",
    "jest-transform-graphql": "^2.1.0",
    "jest-transform-stub": "^2.0.0",
    "jest-watch-typeahead": "^0.3.1",
    "typescript": "^4.2.3",
    "vue-jest": "^3.0.4"
  }
}
